import type { IServerResp, IClientUser, ICompleteRegisterResponse, ISearchByName, IRegisterRequestData, IRegisterResponse, IBankUser, IUserInfo, IUpdateUserResponse, IUaaRole, ITechnicalUser, IUserAuthoritiesResponse } from '../../interfaces';
export declare const clientUser: {
    getEnriched: (id: string) => Promise<IClientUser>;
    getByUaaUserId: (id: string) => Promise<IClientUser>;
    create: (data: IRegisterRequestData) => Promise<IRegisterResponse>;
    update: (data: IClientUser) => Promise<IServerResp<IClientUser>>;
    find: (params: ISearchByName, fieldName: string) => Promise<import("@platform/core/dist-types/interfaces/scroller").ICollectionResponse<IClientUser>>;
    completeRegister: (requestId: string, smsCode: string) => Promise<ICompleteRegisterResponse>;
    completePhoneChange: (requestId: string, smsCode: string) => Promise<ICompleteRegisterResponse>;
    getRoles: (userId: string) => Promise<IUaaRole[]>;
    addRole: (userId: string, role: IUaaRole) => Promise<any>;
    removeRole: (userId: string, roleIds: string[]) => Promise<any>;
    executeAccessRules: (userId: string) => Promise<IServerResp<IClientUser>>;
    getList: (metaData: import("../../interfaces").IMetaData) => Promise<import("@platform/core/dist-types/interfaces/scroller").ICollectionResponse<IClientUser>>;
    getCounter: ({ category, ...metaData }: import("../../interfaces").IMetaData) => Promise<any>;
    get: (id: string) => Promise<IClientUser>;
    searchByName: <T extends keyof IClientUser>(params: ISearchByName, fieldName: T) => Promise<import("@platform/core/dist-types/interfaces/scroller").ICollectionResponse<IClientUser>>;
};
export declare const uaaService: {
    clientUser: {
        getEnriched: (id: string) => Promise<IClientUser>;
        getByUaaUserId: (id: string) => Promise<IClientUser>;
        create: (data: IRegisterRequestData) => Promise<IRegisterResponse>;
        update: (data: IClientUser) => Promise<IServerResp<IClientUser>>;
        find: (params: ISearchByName, fieldName: string) => Promise<import("@platform/core/dist-types/interfaces/scroller").ICollectionResponse<IClientUser>>;
        completeRegister: (requestId: string, smsCode: string) => Promise<ICompleteRegisterResponse>;
        completePhoneChange: (requestId: string, smsCode: string) => Promise<ICompleteRegisterResponse>;
        getRoles: (userId: string) => Promise<IUaaRole[]>;
        addRole: (userId: string, role: IUaaRole) => Promise<any>;
        removeRole: (userId: string, roleIds: string[]) => Promise<any>;
        executeAccessRules: (userId: string) => Promise<IServerResp<IClientUser>>;
        getList: (metaData: import("../../interfaces").IMetaData) => Promise<import("@platform/core/dist-types/interfaces/scroller").ICollectionResponse<IClientUser>>;
        getCounter: ({ category, ...metaData }: import("../../interfaces").IMetaData) => Promise<any>;
        get: (id: string) => Promise<IClientUser>;
        searchByName: <T extends keyof IClientUser>(params: ISearchByName, fieldName: T) => Promise<import("@platform/core/dist-types/interfaces/scroller").ICollectionResponse<IClientUser>>;
    };
    bankUser: {
        getCurrent: () => Promise<IBankUser>;
        searchAd: (searchText: string) => Promise<IServerResp<IBankUser[], import("../../interfaces").ERROR>>;
        completeRegister: (requestId: string, smsCode: string) => Promise<ICompleteRegisterResponse>;
        update: (data: IUserInfo, id?: string | undefined) => Promise<IUpdateUserResponse>;
        getRoles: (id: string) => Promise<IUaaRole[]>;
        addRole: (id: string, role: IUaaRole) => Promise<IServerResp<Record<string, unknown>>>;
        editRole: (id: string, role: IUaaRole) => Promise<IServerResp<IUaaRole>>;
        deleteRoles: (id: string, roleIds: string[]) => Promise<IServerResp<Record<string, unknown>>>;
        getList: (metaData: import("../../interfaces").IMetaData) => Promise<import("@platform/core/dist-types/interfaces/scroller").ICollectionResponse<IBankUser>>;
        getCounter: ({ category, ...metaData }: import("../../interfaces").IMetaData) => Promise<any>;
        get: (id: string) => Promise<IBankUser>;
        create: (payload: IBankUser) => Promise<any>;
        searchByName: <T_1 extends keyof IBankUser>(params: ISearchByName, fieldName: T_1) => Promise<import("@platform/core/dist-types/interfaces/scroller").ICollectionResponse<IBankUser>>;
    };
    technicalUser: {
        get: (id: string) => Promise<ITechnicalUser>;
        create: (user: ITechnicalUser) => Promise<ITechnicalUser>;
        update: ({ id, ...user }: ITechnicalUser) => Promise<ITechnicalUser>;
        getRoles: (id: string) => Promise<IUaaRole[]>;
        addRole: (id: string, role: IUaaRole) => Promise<unknown>;
        editRole: (id: string, role: IUaaRole) => Promise<unknown>;
        deleteRoles: (id: string, roleIds: string[]) => Promise<unknown>;
        getList: (metaData: import("../../interfaces").IMetaData) => Promise<import("@platform/core/dist-types/interfaces/scroller").ICollectionResponse<ITechnicalUser>>;
        getCounter: (metaData: import("../../interfaces").IMetaData) => Promise<any>;
        getByIds: (id: string, clientId: string) => Promise<ITechnicalUser>;
        search: (metaData: import("../../interfaces").IMetaData) => Promise<import("@platform/core/dist-types/interfaces/scroller").ICollectionResponse<ITechnicalUser>>;
        searchByName: <T_2 extends keyof ITechnicalUser>(params: ISearchByName, fieldName: T_2) => Promise<import("@platform/core/dist-types/interfaces/scroller").ICollectionResponse<ITechnicalUser>>;
    };
    getUserInfo: () => Promise<{
        data: IBankUser;
    }>;
    getAuthorities: () => Promise<IUserAuthoritiesResponse>;
};
